Service Accounts
All operations require authentication.
5 operationsv1/me/api
List oAuth2 clientsBeta
GET
/1.0/ me/ api/ oauth2/ client
Response
200string []successful operation
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ oauth2/ client \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a new oauth2 clientBeta
POST
/1.0/ me/ api/ oauth2/ client
Request body (required)
callback Urls
string []
allowed callback urls
description
required
string
client's description
flow
required
Client Flow Enum
oAuth2's flow
Values
AUTHORIZATION_CODECLIENT_CREDENTIALSname
required
string
client's name
Response
200client Secretsuccessful operation
client Id
read-only
string
client's client_id
client Secret
read-only
stringpassword
client's client_secret
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ oauth2/ client \
-H "authorization: Bearer $OVH_TOKEN"{ "clientId": "string", "clientSecret": "string"}
Get ClientBeta
GET
/1.0/ me/ api/ oauth2/ client/ {clientId}
Path parameters
client Id
required
string
Client ID
Response
200clientsuccessful operation
callback Urls
string []
allowed callback urls
client Id
read-only
string
client's client_id
created At
read-only
stringdate-time
client's creation date
description
string
client's description
flow
read-only
Client Flow Enum
oAuth2's flow
Values
AUTHORIZATION_CODECLIENT_CREDENTIALSidentity
read-only
string
associated IAM identity
name
string
client's name
Example uses clientId = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ oauth2/ client/ {clientId} \
-H "authorization: Bearer $OVH_TOKEN"{ "callbackUrls": [ "string" ], "clientId": "string", "createdAt": "2024-01-01T12:00:00Z", "description": "string", "flow": "AUTHORIZATION_CODE", "identity": "string", "name": "string"}
Update ClientBeta
PUT
/1.0/ me/ api/ oauth2/ client/ {clientId}
Path parameters
client Id
required
string
Client ID
Request body (required)
callback Urls
string []
allowed callback urls
client Id
read-only
string
client's client_id
created At
read-only
stringdate-time
client's creation date
description
string
client's description
flow
read-only
Client Flow Enum
oAuth2's flow
Values
AUTHORIZATION_CODECLIENT_CREDENTIALSidentity
read-only
string
associated IAM identity
name
string
client's name
Response
200—successful operation
Example uses clientId = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ oauth2/ client/ {clientId} \
-H "authorization: Bearer $OVH_TOKEN"Delete an oAuth2 clientBeta
DELETE
/1.0/ me/ api/ oauth2/ client/ {clientId}
Path parameters
client Id
required
string
Client ID
Response
200—successful operation
Example uses clientId = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ api/ oauth2/ client/ {clientId} \
-H "authorization: Bearer $OVH_TOKEN"